WS-SE API documentation
This page provides links to Swagger documentation for the WaveSuite Service Enablement (WS-SE) product.
- API Diff
- 25.12
- 25.6
- 24.12
- 24.6
|
REST API
|
Swagger
|
|
Audit logs
|
|
|
Event notifications
|
|
|
Inventory
|
|
|
Reports
|
|
To understand the execution of WS-SE workflows in detail, see WS-SE How To.
API diffs from Release 24.6 to Release 24.12
The following table lists non-backward compatible API changes for WaveSuite Health & Analytics Release 24.12:
|
Endpoint label
|
Endpoint name
|
Change
|
| Retrieve list of service orders | GET /api/v1/service-orders | For Network Operators, the response of endpoint now has the tenantId key/value added to attributes such as orderingTenant, serviceLocationA, serviceLocationZ, and serviceSpecification |
| Create service order | POST /api/v1/service-orders | For Network Operators, the response of endpoint now has the tenantId key/value added to attributes such as orderingTenant, serviceLocationA, serviceLocationZ, and serviceSpecification. Additionally, the state attribute represents the provider state, while the consumerState represents the consuming subtenant state. |
| Retrieve network location | GET /v1/locations/network | For Network Operators, the response of the endpoint now has Type field for the Location.
For Network Operators, the response of the endpoint now do not have the creationTime and lastUpdateTime fields for the Location. |
| HTTP response code for network locations has changed under specific conditions. | GET api/v1/locations/network | If network locations do not exist, the server will respond with a 404 error code in the response. Previously, the server would respond with a 200. |
| HTTP POST request response body has changed for network locations. | POST api/v1/locations/network | The server will not return the fully created object to a successful POST request for network locations. It will omit the capability profile portion of the response. In the previous releases, the server would return the full created object. |
Deprecated Item
- Attribute id within the lifeCycleState object of each service specification for the ServiceSpecifications API set will return a <ServiceSpecification-UUID> value in R24.12 and will be fully deprecated in the future release.
- The attribute base Id of each service specification for the ServiceSpecifications API set will return a <ServiceSpecification-UUID> value in R24.12 and will be fully deprecated in a future release.
- Attribute id within the state object of each service for the Services API set will return a <Service-UUID>_state value in R24.12 and will be fully deprecated in a future release.
- Attribute id within the endpointA and endpointZ objects of each service for the Services API set will return a <Service-UUID>_endpointA or <Service-UUID>_endpointZvalue in R24.12 and will be fully deprecated in a future release.
- Attribute id within the associatedConnection object of each service for the Services API set will return a <Service-UUID>_L1VC value in R24.12 and will be fully deprecated in a future release (the whole associatedConnection object will be removed).
- Attribute label within the associatedConnection object of each service for the Services API set will return the same value as the service’s global label attribute in R24.12 and will be fully deprecated in a future release (the whole associatedConnection object will be removed).
- Attribute id within the associatedConnection object of each connection for the Connections API set will return a <Service-UUID>_L1VC value in R24.12 and will be fully deprecated in a future release (the whole associatedConnection object will be removed).
- Attribute label within the associatedConnection object of each connection for the Connections API set will return the same value as the service’s global label attribute in R24.12 and will be fully deprecated in a future release (the whole associatedConnection object will be removed).
|
REST API
|
Swagger
|
|
Audit logs
|
|
|
Event notifications
|
|
|
Inventory
|
|
|
Reports
|
|
To understand the execution of WS-SE workflows in detail, see WS-SE How To.
API diffs from Release 23.12 to Release 24.6
Audit Logs - What's changed:
- basePath changed from /wavesuite/se/api/v1/auditlogs to /wavesuite/se/api/auditlogs
Event Notifications - What's new:
- Definitions:
- ConfirmWhenNetworkActionIsDoneUserTask
- ManualProvisionAfterNetworkActionUserTask
- NoPathsFoundBusinessErrorUserTask
- ServiceOrderControlConfirmWhenNetworkActionIsDoneEvent
- ServiceOrderControlManualProvisionAfterNetworkActionEvent
- ServiceOrderControlNoPathsFoundBusinessErrorEvent
- description added to EventId definition: "The events to subscribe to."
- trackServiceOrderForNetworkAction property added tp ManualProvisionUserTask definition
- Enum values added for userTaskType property in BusinessErrorUserTask, ConfirmationTask, EntityIdUserTask, ManualProvisionUserTask, ProvisionFailedBusinessErrorUserTask, ReviewTask, ServiceNamingTask, TechnicalErrorUserTask definitions:
- MANUAL_PROVISION_AFTER_NETWORK_ACTION, NO_PATHS_FOUND_BUSINESS_ERROR, CONFIRM_WHEN_NETWORK_ACTION_IS_DONE
- Enum value added to serviceType property of ServiceOffboardedEvent, ServiceOnboardedEvent definitions: L0SPS
Inventory - What's new:
- /api added to all endpoint paths
- /api/v1/authentication/allRealmsByUserEmail endpoint added to Authentication API set
- Definitions:
- BaseResponseOfListOfRealmInfo
- ConfirmWhenNetworkActionIsDoneTaskSubmitRequest
- ManualProvisionAfterNetworkActionTaskSubmitRequest
- NetworkConnectionEntityReference
- NoPathsFoundBusinessErrorTaskSubmitRequest
- RealmInfo
- accessProfile property added to CreateUserRequest, UpdateUserRequest, and User definitions
- annotation property added to CreateNetworkLocationRequest, CreateServiceLocationRequest, NetworkLocation, ServiceLocation, TopologyLocation, UpdateNetworkLocationRequest, and UpdateServiceLocationRequest definitions
- associatedNetworkConnection property added to CompositeService and Service definitions
- channelWidth property added to Connection, NetworkConnection, and VirtualConnection definitions
- frequency property added to Connection, NetworkConnection, and VirtualConnection definitions
- roleName property added to User definition
- Enum values added for type property in BaseSubmitTaskRequest, BusinessErrorTaskSubmitRequest, ConfirmTaskSubmitRequest, EntityIdTaskSubmitRequest, ManualProvisionTaskSubmitRequest, ProvisionFailedBusinessErrorTaskSubmitRequest, ReviewTaskSubmitRequest, ServiceNamingTaskSubmitRequest, and TechnicalErrorTaskSubmitRequest definitions:
- MANUAL_PROVISION_AFTER_NETWORK_ACTION, NO_PATHS_FOUND_BUSINESS_ERROR, CONFIRM_WHEN_NETWORK_ACTION_IS_DONE
- Enum values added to type property of HTTPError and ServiceFeasibilityResponse definitions:
- INVALID_CONNECTION_STATE, INVALID_PORT, REQUESTED_SERVICES_COUNT, RESERVATION_FAILED, LICENSE_PARSE_EXPIRATION_DATE
Inventory - What's deleted:
- Definitions:
- AssociateEntityRequest
- BaseResponseOfAccessProfile
- BaseResponseOfListOfRole
- BaseResponseOfListOfstring
- BaseResponseOfRole
- BaseResponseOfUpdateSharedProfileResponse
- CreateAccessProfileRequest
- CreateRoleRequest
- Role
- UpdateRoleRequest
- UpdateSharedProfileRequest
- UpdateSharedProfileResponse
- UpdateSubtenantAdminAccessProfileRequest
- Enum values removed from data property in the BaseResponseOfstring definition:
- 100 CONTINUE, 101 SWITCHING_PROTOCOLS, 102 PROCESSING, 103 CHECKPOINT, 200 OK, 201 CREATED, 202 ACCEPTED, 203 NON_AUTHORITATIVE_INFORMATION, 204 NO_CONTENT, 205 RESET_CONTENT, 206 PARTIAL_CONTENT, 207 MULTI_STATUS, 208 ALREADY_REPORTED, 226 IM_USED, 300 MULTIPLE_CHOICES, 301 MOVED_PERMANENTLY, 302 FOUND, 302 MOVED_TEMPORARILY, 303 SEE_OTHER, 304 NOT_MODIFIED, 305 USE_PROXY, 307 TEMPORARY_REDIRECT, 308 PERMANENT_REDIRECT, 400 BAD_REQUEST, 401 UNAUTHORIZED, 402 PAYMENT_REQUIRED, 403 FORBIDDEN, 404 NOT_FOUND, 405 METHOD_NOT_ALLOWED, 406 NOT_ACCEPTABLE, 407 PROXY_AUTHENTICATION_REQUIRED, 408 REQUEST_TIMEOUT, 409 CONFLICT, 410 GONE, 411 LENGTH_REQUIRED, 412 PRECONDITION_FAILED, 413 PAYLOAD_TOO_LARGE, 413 REQUEST_ENTITY_TOO_LARGE, 414 URI_TOO_LONG, 414 REQUEST_URI_TOO_LONG, 415 UNSUPPORTED_MEDIA_TYPE, 416 REQUESTED_RANGE_NOT_SATISFIABLE, 417 EXPECTATION_FAILED, 418 I_AM_A_TEAPOT, 419 INSUFFICIENT_SPACE_ON_RESOURCE, 420 METHOD_FAILURE, 421 DESTINATION_LOCKED, 422 UNPROCESSABLE_ENTITY, 423 LOCKED, 424 FAILED_DEPENDENCY, 425 TOO_EARLY, 426 UPGRADE_REQUIRED, 428 PRECONDITION_REQUIRED, 429 TOO_MANY_REQUESTS, 431 REQUEST_HEADER_FIELDS_TOO_LARGE, 451 UNAVAILABLE_FOR_LEGAL_REASONS, 500 INTERNAL_SERVER_ERROR, 501 NOT_IMPLEMENTED, 502 BAD_GATEWAY, 503 SERVICE_UNAVAILABLE, 504 GATEWAY_TIMEOUT, 505 HTTP_VERSION_NOT_SUPPORTED, 506 VARIANT_ALSO_NEGOTIATES, 507 INSUFFICIENT_STORAGE, 508 LOOP_DETECTED, 509 BANDWIDTH_LIMIT_EXCEEDED, 510 NOT_EXTENDED, 511 NETWORK_AUTHENTICATION_REQUIRED
- owned property removed from AccessProfile, CompositeService, Connection, Endpoint, L1CS, LayerOnePlanePolicy, LayerZeroPlanePolicy, LocationCapabilityProfile, MaintenanceInterval, NetworkConnection, NetworkElement, NetworkLocation, PathSelectionPolicy, ProvisioningPolicy, Service, ServiceCreationOrder, ServiceCreationOrderReviewPolicy, ServiceIntegrationPolicy, ServiceLocation, ServiceNamingPolicy, ServiceOrder, ServiceOrderPolicy, ServiceSpecificationModificationOrder, ServiceSpecificationProfile, ServiceSpecificationProfileState, ServiceTerminationOrder, State, Tenant, TenantBranding, TenantServiceProfile, User, VirtualConnection definitions
- type property removed from ServiceLatency definition
- /v1/networkEquipment/shelves/{id}/associatedLocation/add, /v1/networkEquipment/shelves/{id}/associatedLocation/remove, and /v1/networkEquipment/shelves/{id}/associatedLocation/update endpoints removed from Shelves API set
- /v1/tenants/roles, /v1/tenants/roles/{id}, /v1/tenants/roles/{id}/update, /v1/tenants/subtenants/{id}/users/admin/role, /v1/tenants/subtenants/{id}/users/admin/role/update endpoints (the Roles API set is removed)
- /v1/tenants/subtenants/{id}/profiles and v1/tenants/subtenants/{id}/profiles/update endpoints removed from the Subtenants API set
- 404 response removed for /api/v1/service-orders endpoint in the ServiceOrders API set
- 401 response removed for /api/v1/tenants/profiles endpoint in the AccessProfiles API set
Inventory - What's changed:
- basePath changed from /wavesuite/se/api to /wavesuite/se
- Enum values for codingFunction property of CompositeService, Connection, L1CS, NetworkConnection, Service, VirtualConnection definitions:
- CHANNEL_WIDTH_37_5, CHANNEL_WIDTH_50, CHANNEL_WIDTH_62_5, CHANNEL_WIDTH_75, CHANNEL_WIDTH_125 are changed to CHANNEL_WIDTH375, CHANNELWIDTH500, CHANNEL_WIDTH625, CHANNELWIDTH750, CHANNELWIDTH125
Reports - What's changed:
- basePath changed from /wavesuite/se/api/reports to /wavesuite/se/api/v1